apiVersion: apps/v1
kind: Deployment
metadata:
  name: tomcat-deployment
  namespace: 
spec:
  replicas: 4
  selector:
    matchLabels:
      app: tomcat
  template:
    metadata:
      labels:
        app: tomcat
    spec:
      containers:
      - image: registry.hub.docker.com/anz2018/tomcat:latest
        name: tomcat
        ports:
        - containerPort: 8080
---
apiVersion: v1
kind: Service
metadata:
  name: tomcat-service
  namespace: 
spec:
  selector:
    app: tomcat
  ports:
    - protocol: TCP
      port: 80
      targetPort: 8080
